Summary:       A BOINC monitoring tool for KDE
Name:          kboincspy
Version:       0.8.0
Release:       1andyrtr
License:       GPL
URL:           http://kboincspy.sourceforge.net/
Group:         Graphical desktop/KDE
Source:        %{name}-%{version}.tar.bz2
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: Mesa-common-devel XFree86-devel XFree86-libs
BuildRequires: libarts-devel db1-devel diffutils
BuildRequires: freetype2-devel gettext
BuildRequires: binutils-devel bzip2-devel
BuildRequires: libjpeg-devel mng-devel png-devel
BuildRequires: mktemp python-devel
BuildRequires: readline-devel rpm-build texinfo zlib1-devel
BuildRequires: libxslt-devel libxml2-devel >= 2.4.28-2mdk
#BuildRequires: kdelibs-devel >= 3.3-1mdk
BuildRequires: kdelibs-devel >= 3.2
BuildRequires: wv2-devel
BuildRequires: automake1.7 autoconf2.5 doxygen

%description
KBoincSpy is a KDE monitoring utility for the BOINC distributed client.
Designed to be the successor of KSetiSpy, it offers support for a
virtually unlimited number of BOINC projects through a plugin-based
architecture.

%prep
%setup -q

%build
./configure --prefix=%_prefix --disable-rpath --libdir=%_libdir
make

%install
rm -rf ${RPM_BUILD_ROOT}
make RUN_KAPPFINDER=no DESTDIR=${RPM_BUILD_ROOT} install-strip

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%clean_menus

%files
%defattr(-,root,root)
%_bindir/kboincspy
%_libdir/libkbs*.la*
%_libdir/libkbs*.so*
%_libdir/kde3/libkbs*.la*
%_libdir/kde3/libkbs*.so*
%_datadir/servicetypes/kbs*.desktop
%_datadir/services/kbs*.desktop
%dir %_datadir/apps/kboincspy/
%_datadir/apps/kboincspy/eventsrc
%_datadir/apps/kboincspy/*ui.rc
%dir %_datadir/apps/kboincspy/icons/crystalsvg/16x16/
%dir %_datadir/apps/kboincspy/icons/crystalsvg/16x16/actions/
%_datadir/apps/kboincspy/icons/crystalsvg/16x16/actions/*.png
%dir %_datadir/apps/kboincspy/icons/crystalsvg/22x22/
%dir %_datadir/apps/kboincspy/icons/crystalsvg/22x22/actions/
%_datadir/apps/kboincspy/icons/crystalsvg/22x22/actions/*.png
%dir %_datadir/apps/kboincspy/icons/crystalsvg/32x32/
%dir %_datadir/apps/kboincspy/icons/crystalsvg/32x32/actions/
%_datadir/apps/kboincspy/icons/crystalsvg/32x32/actions/*.png
%dir %_datadir/apps/kboincspy/icons/crystalsvg/48x48/
%dir %_datadir/apps/kboincspy/icons/crystalsvg/48x48/actions/
%_datadir/apps/kboincspy/icons/crystalsvg/48x48/actions/*.png
%dir %_datadir/apps/kboincspy/icons/crystalsvg/64x64/
%dir %_datadir/apps/kboincspy/icons/crystalsvg/64x64/actions/
%_datadir/apps/kboincspy/icons/crystalsvg/64x64/actions/*.png
%dir %_datadir/apps/kboincspy/icons/crystalsvg/128x128/
%dir %_datadir/apps/kboincspy/icons/crystalsvg/128x128/actions/
%_datadir/apps/kboincspy/icons/crystalsvg/128x128/actions/*.png
%dir %_datadir/apps/kboincspy/icons/crystalsvg/scalable/
%dir %_datadir/apps/kboincspy/icons/crystalsvg/scalable/actions/
%_datadir/apps/kboincspy/icons/crystalsvg/scalable/actions/*.svgz
%dir %_datadir/apps/kboincspy/pics/
%dir %_datadir/apps/kboincspy/pics/seti/
%_datadir/apps/kboincspy/pics/seti/*.png
%_datadir/apps/kboincspy/pics/seti/*.gif
%_datadir/apps/kboincspy/pics/seti/*.mng
%dir %_docdir/HTML/en/kboincspy/
%doc %_docdir/HTML/en/kboincspy/*
%_iconsdir/crystalsvg/16x16/apps/*.png
%_iconsdir/crystalsvg/22x22/apps/*.png
%_iconsdir/crystalsvg/32x32/apps/*.png
%_iconsdir/crystalsvg/48x48/apps/*.png
%_iconsdir/crystalsvg/64x64/apps/*.png
%_iconsdir/crystalsvg/128x128/apps/*.png
%_iconsdir/crystalsvg/scalable/apps/*.svgz
%_datadir/applnk/Applications/kboincspy.desktop

%changelog
* Thu Feb 17 2005 AndyRTR <andreas.radke@freenet.de> 0.8.0-1andyrtr
- fixed build requires
- fixed KDE 3.3 API call in /src/koincspy.cpp line 543
- rebuild for Mandrake 10.1

* Tue Nov 16 2004 Roberto Virga <rvirga@users.sf.net> 0.8.0-1mdk
- initial build
